package com.tofly.analyse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.analyse.entity.DataSet;
import com.tofly.analyse.entity.MetaData;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 元数据管理
 * @author zhoux
 */
public interface MetaDataMapper extends BaseMapper<MetaData> {
	
	public List<Map> getDataSetPage(Page page, @Param("dataSet") DataSet dataSet);
	public List<Map> getMetaDataPage(Page page, @Param("metaData") MetaData metaData);
	
	
	

	public void updateDataSet(@Param("dataSet") DataSet dataSet);
	
	
	public void updateMetaData(@Param("metaData") MetaData metaData);
	
}